Disable User
Request Description
Request Headers
| Parameter Name | Chinese Name | Required | Type | Description |
|---|---|---|---|---|
| Authorization | Authorization | Yes | String | Format: Bearer {access_token} |
| Content-Type | Content Type | Yes | String | Fixed value: application/json; charset=utf-8 |
Request Example
http
PUT https://{your_domain}/api/v2/tenant/users/20220126153857263-A04D-60E0D446C/disableRequest Parameters
| Parameter Name | Chinese Name | Required | Type | Description |
|---|---|---|---|---|
| user_id | User ID | Yes | String | User ID to disable |
Response Example
Success Example
HTTP/1.1 200 OK
json
{
"user_id": "20201028102749564-9082-DC8CD2722"
}Error Example
HTTP/1.1 400 Bad Request
json
{
"error_msg": "User not found",
"error_code": "IDAAS.TENANT.USER.0001"
}Response Parameters
| Parameter Name | Chinese Name | Type | Description |
|---|---|---|---|
| user_id | User user_id | String |
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | IDAAS.TENANT.USER.0001 | 用户未找到 | User not found | Please check whether the user exists |